Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#126 Le 27/01/2014, à 10:19

michel_04

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Bonjour,

powerflower5 a écrit :

Je viens de tester et d'installer ubuntu 14.04. Et bien quelle bonne surprise : tout mon matériel a été reconnu immédiatement et surtout en ce qui concerne la partie graphique... que du bonheur, ENFIN!!!! big_smile

Tu veux dire qu'en installant la 14.04 tu peux commuter tes deux cartes graphiques (dont la HD 5400) sans faire les manips du message #1 ? Tes deux cartes sont bien gérées nativement ?

A+

A+

Hors ligne

#127 Le 27/01/2014, à 10:25

zodd

Re : [SOLUTION] AMD/Intel Graphiques Commutables

justement comment faites vous pour voir que les cartes sont bien gérées? moi d'un point de vue visuel et utilisation au quotidien j'ai un bon affichage , mais comment savoir que c'est optimum?

Hors ligne

#128 Le 27/01/2014, à 10:52

michel_04

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Re,

zodd a écrit :

justement comment faites vous pour voir que les cartes sont bien gérées? moi d'un point de vue visuel et utilisation au quotidien j'ai un bon affichage , mais comment savoir que c'est optimum?

En appliquant sur mon Thinkpad E320 la solution proposée dans ce post, je peux switcher de ma carte Intel à ma carte AMD lorsque je branche mon alimentation secteur et l'inverse lorsque je suis sur batterie.

Michel-E320:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Whistler [Radeon HD 6630M/6650M/6750M/7670M/7690M] (rev ff)

Intel  ---> 1390816276.png

AMD ---> 1390816329.png

A+

Dernière modification par michel_04 (Le 02/04/2014, à 12:29)

Hors ligne

#129 Le 27/01/2014, à 11:43

powerflower5

Re : [SOLUTION] AMD/Intel Graphiques Commutables

En fait, je n'ai touché à rien en particulier. D'habitude, après une installation de ubuntu, je me retrouvais avec un écran noir. Là, mon portable a démarré en mode "normal" sans que je ne fasse quoi que se soit. Il ne ventile plus comme un dingue. Par contre il fonctionne avec le chipset intel, avec le pilote : intel Ironlake Mobile x86/MMX/SSE2 installé par défaut.
Voilà ce que je peux vous dire. Je pensais du coup que c'était bon!


PC portable HP G72 Notebook
Processeur : Intel Pentium P6000 1.87 GHz
GF : ATI Manhattan Mobility Radeon HD 5400 Series et carte graphique intégrée Intel
OS : Ubuntu 14.04 et Windows 7

Hors ligne

#130 Le 27/01/2014, à 11:48

michel_04

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Re,

powerflower5 a écrit :

En fait, je n'ai touché à rien en particulier. D'habitude, après une installation de ubuntu, je me retrouvais avec un écran noir. Là, mon portable a démarré en mode "normal" sans que je ne fasse quoi que se soit. Il ne ventile plus comme un dingue. Par contre il fonctionne avec le chipset intel, avec le pilote : intel Ironlake Mobile x86/MMX/SSE2 installé par défaut.
Voilà ce que je peux vous dire. Je pensais du coup que c'était bon!

Si ton ventilo ne tourne plus à fond, si tu es des températures normales, une autonomie et un affichage corrects, on peut dire que c'est bon.

A+

Hors ligne

#131 Le 27/01/2014, à 11:54

nam1962

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Pour le moment, à chaque fois que j'ai tenté le tuto, j'ai fini par un démarrage écran noir et devoir tout annuler...
En 13.04/13.10/14.04...

:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7500M/7600M Series]

..donc je tourne sur la intel.

Dernière modification par nam1962 (Le 27/01/2014, à 12:07)


Mon tuto pour optimiser / finaliser une install : http://forum.ubuntu-fr.org/viewtopic.ph … #p15041961
Xubuntu 14.04 sur portable, 14.10 sur fixe, 14.04 chez mes amis.
Score : 51 convertis IRL (leur ai pas donné le choix, aussi...).
Un jeune site que j'aime bien, qui fait du T-shirt la nouvelle élégance ...bio en plus : http://goudronblanc.com

Hors ligne

#132 Le 27/01/2014, à 12:53

powerflower5

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Et bien c'est bon pour moi alors. Je suis tranquille pour un moment!


PC portable HP G72 Notebook
Processeur : Intel Pentium P6000 1.87 GHz
GF : ATI Manhattan Mobility Radeon HD 5400 Series et carte graphique intégrée Intel
OS : Ubuntu 14.04 et Windows 7

Hors ligne

#133 Le 27/01/2014, à 13:47

zodd

Re : [SOLUTION] AMD/Intel Graphiques Commutables

erreur, désolé j'ai fait citer au lieu de modifier visiblement..

Dernière modification par zodd (Le 27/01/2014, à 13:51)

Hors ligne

#134 Le 27/01/2014, à 13:50

zodd

Re : [SOLUTION] AMD/Intel Graphiques Commutables

michel_04 a écrit :

Re,


Re,

zodd a écrit :

justement comment faites vous pour voir que les cartes sont bien gérées? moi d'un point de vue visuel et utilisation au quotidien j'ai un bon affichage , mais comment savoir que c'est optimum?

En appliquant sur mon Thinkpad E320 la solution proposée dans ce post, je peux switcher de ma carte Intel à ma carte AMD lorsque je branche mon alimentation secteur et l'inverse lorsque je suis sur batterie.

Michel-E320:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Whistler [Radeon HD 6630M/6650M/6750M/7670M/7690M] (rev ff)

A+

Merci pour ton message, quand je fais un lspci j'ai mis les deux lignes ( intel HD et ATI) mais je pouvant pas faire le tuto de la première page (j'ai une Radeon 5xxx ) comment savoir laquelle est utilisée?

Dernière modification par zodd (Le 27/01/2014, à 13:52)

Hors ligne

#135 Le 27/01/2014, à 18:47

michel_04

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Re,

Lorsque je suis sous CG Intel :

~$ lspci -v | grep -A 12 VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 21ef
	Flags: bus master, fast devsel, latency 0, IRQ 42
	Memory at e0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 5000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915

00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
	Subsystem: Lenovo Device 21ee
--
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Whistler [Radeon HD 6630M/6650M/6750M/7670M/7690M] (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel modules: fglrx, radeon

03:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000 [Condor Peak]
	Subsystem: Intel Corporation Centrino Wireless-N 1000 BGN

Lorsque je suis sous CG AMD :

~$ lspci -v | grep -A 12 VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 21ef
	Flags: bus master, fast devsel, latency 0, IRQ 42
	Memory at e0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 5000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915

00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
	Subsystem: Lenovo Device 21ee
--
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Whistler [Radeon HD 6630M/6650M/6750M/7670M/7690M] (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 21ef
	Flags: bus master, fast devsel, latency 0, IRQ 47
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Memory at e1700000 (64-bit, non-prefetchable) [size=128K]
	I/O ports at 4000 [size=256]
	Expansion ROM at e1720000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: fglrx_pci
	Kernel modules: fglrx, radeon

03:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000 [Condor Peak]
	Subsystem: Intel Corporation Centrino Wireless-N 1000 BGN

A+

Hors ligne

#136 Le 27/01/2014, à 20:06

nam1962

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Je viens de retenter un truc suite à la lecture de l'annonce du support des hybrides là : https://wiki.ubuntu.com/X/Config/HybridGraphics

J'ai suivi la procédure ici : http://rudrageek.com/linux-now-supports … ntu-13-10/

Par rapport au tuto du topic qui me donne un écran noir : progrès, j'arrive au desktop, mais là, total plantage, freeze du bureau et tout, il est vrai que je suis en 14.04

Ça a donné lieu à un rapport de bug en tous cas : https://bugs.launchpad.net/ubuntu/+sour … ug/1273374


Mon tuto pour optimiser / finaliser une install : http://forum.ubuntu-fr.org/viewtopic.ph … #p15041961
Xubuntu 14.04 sur portable, 14.10 sur fixe, 14.04 chez mes amis.
Score : 51 convertis IRL (leur ai pas donné le choix, aussi...).
Un jeune site que j'aime bien, qui fait du T-shirt la nouvelle élégance ...bio en plus : http://goudronblanc.com

Hors ligne

#137 Le 27/01/2014, à 22:24

zodd

Re : [SOLUTION] AMD/Intel Graphiques Commutables

moi j'ai ça:

lspci -v | grep -A 12 VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device 144b
	Flags: bus master, fast devsel, latency 0, IRQ 43
	Memory at c0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at b0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 5050 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
	Subsystem: Hewlett-Packard Company Device 144b
	Flags: bus master, fast devsel, latency 0, IRQ 44
--
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Madison [Mobility Radeon HD 5650/5750 / 6530M/6550M] (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Mobility Radeon HD 5650
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at a0000000 (64-bit, prefetchable) [size=256M]
	Memory at c4400000 (64-bit, non-prefetchable) [size=128K]
	I/O ports at 4000 [size=256]
	Expansion ROM at c4440000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: radeon

01:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Redwood HDMI Audio [Radeon HD 5000 Series]
	Subsystem: Hewlett-Packard Company Device 144b
	Flags: bus master, fast devsel, latency 0, IRQ 47

Puis-je en déduire que je tourne bien sur la Radeon ?
Qu'elle est l'interet, à part peut etre pour la consommation d'utiliser l'intel?

Dernière modification par zodd (Le 27/01/2014, à 22:26)

Hors ligne

#138 Le 28/02/2014, à 12:06

butler_fr

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Bonjour à tous!

j'essai d'appliquer le correctif pour obtenir l’accélération video sur la carte intel via le fichier /etc/X11/Xsession.d/10fglrx
le problème c'est que le fichier n’existe pas, j'ai essayé de le créer et de rajouter le contenu dedans mais ça n'a pas d’effets...

ma configuration:
Mint16 x64
drivers amd 13.11 beta 9.4 aussi testé avec 14.02 béta
les cartes:

lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Venus XT [Radeon HD 8870M]

Je peux bien switcher entre les deux cartes mais a ce moment la (avec la carte intel) impossible de me logguer sur le bureau, l'écran de connexion réapparait directement après un écran noir.
la carte amd fonctionne niquel!

merci!

Dernière modification par butler_fr (Le 28/02/2014, à 12:07)

Hors ligne

#139 Le 10/03/2014, à 10:23

kasuke

Re : [SOLUTION] AMD/Intel Graphiques Commutables

bonjour je galère un peu à tout installer, j'ai suivi le tuto en anglais (car il est à jour)
je suis en 12.04 x64 (ubuntu), j'ai télécharger les nouveaux drivers (13.12) ensuite j'ai fait ça

Create and install .deb packages.

sudo sh amd-catalyst-13.12-linux-x86.x86_64.run --buildpkg Ubuntu/precise
sudo dpkg -i fglrx*.deb

sauf que quand je tape sudo dpkg -i fglrx*.deb voilà ce que j'ai

kasuke@kasuke-P15xSM:~$ sudo dpkg -i fglrx*.deb
Sélection du paquet fglrx précédemment désélectionné.
dpkg : concernant fglrx_13.251-0ubuntu1_amd64.deb contenant fglrx :
 fglrx entre en conflit avec fglrx-driver
  « fglrx-12 » fournit « fglrx-driver » et est présent ainsi de  « installé ».
dpkg : erreur de traitement de fglrx_13.251-0ubuntu1_amd64.deb (--install) :
 paquets en conflit - fglrx non installé
Sélection du paquet fglrx-amdcccle précédemment désélectionné.
dpkg : concernant fglrx-amdcccle_13.251-0ubuntu1_amd64.deb contenant fglrx-amdcccle :
 fglrx-amdcccle entre en conflit avec fglrx-control
  « fglrx-amdcccle-12 » fournit « fglrx-control » et est présent ainsi de  « installé ».
dpkg : erreur de traitement de fglrx-amdcccle_13.251-0ubuntu1_amd64.deb (--install) :
 paquets en conflit - fglrx-amdcccle non installé
Sélection du paquet fglrx-dev précédemment désélectionné.
(Lecture de la base de données... 307859 fichiers et répertoires déjà installés.)
Dépaquetage de fglrx-dev (à partir de fglrx-dev_13.251-0ubuntu1_amd64.deb) ...
dpkg : des problèmes de dépendances empêchent la configuration de fglrx-dev :
 fglrx-dev dépend de fglrx ; cependant :
  Le paquet fglrx n'est pas installé.
dpkg : erreur de traitement de fglrx-dev (--install) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 fglrx_13.251-0ubuntu1_amd64.deb
 fglrx-amdcccle_13.251-0ubuntu1_amd64.deb
 fglrx-dev

En fait j'ai déjà essayé d'installer les drivers via pilotes additionnels sauf qu'on m'indique que les pilotes sont téléchargés mais pas utilisable (j'ai une AMD Radeon 8970M) et le processeur  1 x Intel® i7-4800MQ 4x2 cores 2.7 à 3.7GHz, 6Mo cache, Vidéo GT2 HD4600 VT-d 47Watts (Haswell) (je sais c'est précis big_smile )

je ne sais pas s'il est installé et comment savoir quelle carte utilise mon ordinateur

kasuke@kasuke-P15xSM:~$ lspci -v | grep -A 12 VGA
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06) (prog-if 00 [VGA controller])
	Subsystem: CLEVO/KAPOK Computer Device 5106
	Flags: bus master, fast devsel, latency 0, IRQ 11
	Memory at f7400000 (64-bit, non-prefetchable) [size=4M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at f000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>

00:03.0 Audio device: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller (rev 06)
	Subsystem: CLEVO/KAPOK Computer Device 5106
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f7c14000 (64-bit, non-prefetchable) [size=16K]
--
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Neptune [Radeon HD 8970M] (prog-if 00 [VGA controller])
	Subsystem: CLEVO/KAPOK Computer Device 5106
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f7b00000 (64-bit, non-prefetchable) [size=256K]
	I/O ports at e000 [size=256]
	Expansion ROM at f7b40000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: fglrx_pci
	Kernel modules: fglrx_13

03:00.0 PCI bridge: Texas Instruments XIO2213A/B/XIO2221 PCI Express to PCI Bridge [Cheetah Express] (rev 01) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0

voilà suite à ça j'ai des problèmes avec ma souris ...

Dernière modification par kasuke (Le 10/03/2014, à 10:37)

Hors ligne

#140 Le 10/03/2014, à 20:27

metalux

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Bonjour,
J'ai installé Voyager 13.10 sur un Pc avec carte hybride. J'ai trouvé cette documentation
https://wiki.ubuntu.com/X/Config/HybridGraphics
J'aimerais savoir si certains d'entre vous ont testé avec la carte suivante: Madison [ mobility radeon hd 5650/5750/6530M/6550M ]
Je me pose la question également si ce post est toujours d'actualité au vu de cette documentation.
C'est la 1ère fois que j'installe sur un Pc avec carte hybride Intel/AMD, aussi comme je n'ai pas accès au Pc et que je dois transmettre à la personne qui est débutante, je préfère indiquer la bonne documentation du départ.
L'installation des paquets fglrx et fglrx-pxpress me semblant quand même le plus simple, bien que je n'ai vu nul part ici de retour sur fglrx-pxpress à part celui de nam1962.


Antix MX-14/Xubuntu 14.04 sur HP Pavilion t728.fr
Precise Pangolin 64 bits sur Acer aspire 5738ZG
Voyager 13.04 mise à niveau en 14.04 sur TOSHIBA  Satellite C870-196.
Faîtes la mise à jour de vos P.P.A. automatiquement

Hors ligne

#141 Le 02/04/2014, à 13:55

Kr1ll

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Bonjour à tous !

Je suis aussi sous la ubunut 14.04 et j'aimerai également switcher entre mes deux cartes mais j'ai toujours réussi à installer catalyst :s
Avec ta méthode je ne peux installer ia32-libs ... impossible et en essayant d'installer directement catalyst avec la bibliothèque cela ne marche pas sad
Faut il obligatoirement être sous pilote propriétaire déjà ?

Cordialement
Kr1ll

Hors ligne

#142 Le 02/04/2014, à 16:08

nam1962

Re : [SOLUTION] AMD/Intel Graphiques Commutables

metalux a écrit :

(..)
L'installation des paquets fglrx et fglrx-pxpress me semblant quand même le plus simple, bien que je n'ai vu nul part ici de retour sur fglrx-pxpress à part celui de nam1962.

N'ai toujours pas réussi chez moi (mais c'est un souci spécifique) Par contre j'ai pu l’installer en 14.04 chez une de mes converties en version nvidia. Ca tourne impec.


Mon tuto pour optimiser / finaliser une install : http://forum.ubuntu-fr.org/viewtopic.ph … #p15041961
Xubuntu 14.04 sur portable, 14.10 sur fixe, 14.04 chez mes amis.
Score : 51 convertis IRL (leur ai pas donné le choix, aussi...).
Un jeune site que j'aime bien, qui fait du T-shirt la nouvelle élégance ...bio en plus : http://goudronblanc.com

Hors ligne

#143 Le 02/04/2014, à 19:32

metalux

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Merci de ton retour nam1962, je commençais à désespérer. Et malheureusement ce n'est pas un souci spécifique à ta configuration, ça ne fonctionne pas non plus pour la personne à qui j'ai fais l'install. Une purge en règle des paquets et ça a redémarré sur la carte intel mais bon, ce n'est pas ce n'est pas le souhait d'origine....Et faire tester ce tuto à distance à un débutant, je suis pas chaud, d'autant + que le résultat n'est pas garanti si je comprends bien.


Antix MX-14/Xubuntu 14.04 sur HP Pavilion t728.fr
Precise Pangolin 64 bits sur Acer aspire 5738ZG
Voyager 13.04 mise à niveau en 14.04 sur TOSHIBA  Satellite C870-196.
Faîtes la mise à jour de vos P.P.A. automatiquement

Hors ligne

#144 Le 02/04/2014, à 22:08

nam1962

Re : [SOLUTION] AMD/Intel Graphiques Commutables

A distance avec une radeon, vaut mieux pas en effet...


Mon tuto pour optimiser / finaliser une install : http://forum.ubuntu-fr.org/viewtopic.ph … #p15041961
Xubuntu 14.04 sur portable, 14.10 sur fixe, 14.04 chez mes amis.
Score : 51 convertis IRL (leur ai pas donné le choix, aussi...).
Un jeune site que j'aime bien, qui fait du T-shirt la nouvelle élégance ...bio en plus : http://goudronblanc.com

Hors ligne

#145 Le 14/04/2014, à 12:16

zarete

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Bonjour à tous et merci à l'auteur pour ce tutoriel.

J'ai une petite question j'ai un dell inspiron 15R (5537) et j'ai un problème au niveau de l'affichage. J'ai acheté un convertisseur HDMI-VGA fonctionnel (testé sur RPi et W7) mais quand je le test sur mon PC j'ai des couleurs zébrées rouges comme si c'était mal branché en fait. Je me demandais si suivre ce tutoriel pourrait m'aider à régler ce problème et je ne suis pas contre une économie de batterie. Voila ma configuration

00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 09)
03:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Venus PRO [Radeon HD 8850M] [1002:6823]

Merci d'avance de vos réponses.

Dernière modification par zarete (Le 14/04/2014, à 12:22)

Hors ligne

#146 Le 24/04/2014, à 14:46

simon0356

Re : [SOLUTION] AMD/Intel Graphiques Commutables

J'ai un inspiron 17R,
J'ai plusieurs fois réussi a installer le pilote et faire fonctionner le mode hybrid, cependant en étant sur le pilote AMD  il est impossible d'avoir deux ecran en mode non-miroir. Un bug survient et l'affichage est infect ( sorte de superposition décalé des deux écran sur chaque écran)
Je pense qu'on a a peu près le même problème. Je branche mon deuxième écran avec un adaptateur vga-hdmi mais je pense pas que le problème vienne de la.
En repassant sur le pilote intel les deux écran fonctionne bien.

Hors ligne

#147 Le 17/06/2014, à 06:17

joris.remandet

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Problème de mon côté aussi avec un Dell Inspiron 17R-5721 équipé d'un HD4000 et d'une AMD Radeon HD8730M :

Je tiens quand même à préciser qu'il n'est pas indiqué si l'installation des drivers libres Intel (ceux que Intel donnent eux même, et non ceux integrés dans la distrib') est obligatoire ou pas, en tout cas je vous confirme que l'installation de fglrx fait planter purement le serveur X, je me demande pas justement si c'est parce que j'ai le driver Intel, pouvez-vous me dire si vous l'avez installé.

Ce que je ne comprends pas, c'est que pourquoi ça marcherais sans ce driver, car à ce que je sache, l'affichage est geré par la Intel (après je peux me tromper, n'hésitez pas à me reprendre si je dis des bétises smile )

Hors ligne

#148 Le 31/08/2014, à 16:46

BoB3451

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Bonjour suite au conseil de michel me voici ici.

Je suis débutant très débutant, donc j' essaye de faire la manip je suis bloquer quand je souhaite installer créer des paquets Ubuntu à partir de celui-ci : voici la copie

bob34@bob34-EasyNote-LS44HR:~$ sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6
[sudo] password for bob34: 
1Sorry, try again.
[sudo] password for bob34: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
debconf est déjà la plus récente version disponible.
libstdc++6 est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  linux-headers-generic linux-image-generic
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  autoconf automake autotools-dev dh-apparmor dh-translations dpkg-dev g++
  g++-4.8 intltool libalgorithm-diff-perl libalgorithm-diff-xs-perl
  libalgorithm-merge-perl libfakeroot libmail-sendmail-perl libsigsegv2
  libstdc++-4.8-dev libsys-hostname-long-perl m4 po-debconf python-scour
Paquets suggérés :
  autoconf2.13 autoconf-archive gnu-standards autoconf-doc libtool devscripts
  apparmor-easyprof debian-keyring g++-multilib g++-4.8-multilib gcc-4.8-doc
  libstdc++6-4.8-dbg libstdc++-4.8-doc libmail-box-perl python-rsvg
Les NOUVEAUX paquets suivants seront installés :
  autoconf automake autotools-dev build-essential cdbs debhelper dh-apparmor
  dh-make dh-translations dpkg-dev fakeroot g++ g++-4.8 intltool
  libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl
  libfakeroot libmail-sendmail-perl libsigsegv2 libstdc++-4.8-dev
  libsys-hostname-long-perl m4 po-debconf python-scour
0 mis à jour, 25 nouvellement installés, 0 à enlever et 1 non mis à jour.
Il est nécessaire de prendre 11.1 Mo dans les archives.
Après cette opération, 38.9 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de : 1 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libsigsegv2 amd64 2.10-2 [15.0 kB]
Réception de : 2 http://fr.archive.ubuntu.com/ubuntu/ trusty/main m4 amd64 1.4.17-2ubuntu1 [195 kB]
Réception de : 3 http://fr.archive.ubuntu.com/ubuntu/ trusty/main autoconf all 2.69-6 [322 kB]
Réception de : 4 http://fr.archive.ubuntu.com/ubuntu/ trusty/main autotools-dev all 20130810.1 [44.3 kB]
Réception de : 5 http://fr.archive.ubuntu.com/ubuntu/ trusty/main automake all 1:1.14.1-2ubuntu1 [510 kB]
Réception de : 6 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libstdc++-4.8-dev amd64 4.8.2-19ubuntu1 [1'050 kB]
Réception de : 7 http://fr.archive.ubuntu.com/ubuntu/ trusty/main g++-4.8 amd64 4.8.2-19ubuntu1 [7'038 kB]
Réception de : 8 http://fr.archive.ubuntu.com/ubuntu/ trusty/main g++ amd64 4:4.8.2-1ubuntu6 [1'490 B]
Réception de : 9 http://fr.archive.ubuntu.com/ubuntu/ trusty-updates/main dpkg-dev all 1.17.5ubuntu5.3 [726 kB]
Réception de : 10 http://fr.archive.ubuntu.com/ubuntu/ trusty/main build-essential amd64 11.6ubuntu6 [4'838 B]
Réception de : 11 http://fr.archive.ubuntu.com/ubuntu/ trusty/main po-debconf all 1.0.16+nmu2ubuntu1 [210 kB]
Réception de : 12 http://fr.archive.ubuntu.com/ubuntu/ trusty/main dh-apparmor all 2.8.95~2430-0ubuntu5 [11.3 kB]
Réception de : 13 http://fr.archive.ubuntu.com/ubuntu/ trusty/main debhelper all 9.20131227ubuntu1 [604 kB]
Réception de : 14 http://fr.archive.ubuntu.com/ubuntu/ trusty/main intltool all 0.50.2-2 [52.0 kB]
Réception de : 15 http://fr.archive.ubuntu.com/ubuntu/ trusty/main dh-translations all 121 [21.6 kB]
Réception de : 16 http://fr.archive.ubuntu.com/ubuntu/ trusty/main python-scour all 0.26-3build1 [40.5 kB]
Réception de : 17 http://fr.archive.ubuntu.com/ubuntu/ trusty/main cdbs all 0.4.122ubuntu2 [42.1 kB]
Réception de : 18 http://fr.archive.ubuntu.com/ubuntu/ trusty/main dh-make all 0.63 [37.6 kB]
Réception de : 19 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libfakeroot amd64 1.20-3ubuntu2 [25.4 kB]
Réception de : 20 http://fr.archive.ubuntu.com/ubuntu/ trusty/main fakeroot amd64 1.20-3ubuntu2 [55.0 kB]
Réception de : 21 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libalgorithm-diff-perl all 1.19.02-3 [50.0 kB]
Réception de : 22 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libalgorithm-diff-xs-perl amd64 0.04-2build4 [12.6 kB]
Réception de : 23 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libalgorithm-merge-perl all 0.08-2 [12.7 kB]
Réception de : 24 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libsys-hostname-long-perl all 1.4-3 [11.3 kB]
Réception de : 25 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libmail-sendmail-perl all 0.79.16-1 [26.5 kB]
11.1 Mo réceptionnés en 5s (1'988 ko/s)           
Sélection du paquet libsigsegv2:amd64 précédemment désélectionné.
(Lecture de la base de données... 181031 fichiers et répertoires déjà installés.)
Préparation du décompactage de .../libsigsegv2_2.10-2_amd64.deb ...
Décompactage de libsigsegv2:amd64 (2.10-2) ...
Sélection du paquet m4 précédemment désélectionné.
Préparation du décompactage de .../m4_1.4.17-2ubuntu1_amd64.deb ...
Décompactage de m4 (1.4.17-2ubuntu1) ...
Sélection du paquet autoconf précédemment désélectionné.
Préparation du décompactage de .../autoconf_2.69-6_all.deb ...
Décompactage de autoconf (2.69-6) ...
Sélection du paquet autotools-dev précédemment désélectionné.
Préparation du décompactage de .../autotools-dev_20130810.1_all.deb ...
Décompactage de autotools-dev (20130810.1) ...
Sélection du paquet automake précédemment désélectionné.
Préparation du décompactage de .../automake_1%3a1.14.1-2ubuntu1_all.deb ...
Décompactage de automake (1:1.14.1-2ubuntu1) ...
Sélection du paquet libstdc++-4.8-dev:amd64 précédemment désélectionné.
Préparation du décompactage de .../libstdc++-4.8-dev_4.8.2-19ubuntu1_amd64.deb ...
Décompactage de libstdc++-4.8-dev:amd64 (4.8.2-19ubuntu1) ...
Sélection du paquet g++-4.8 précédemment désélectionné.
Préparation du décompactage de .../g++-4.8_4.8.2-19ubuntu1_amd64.deb ...
Décompactage de g++-4.8 (4.8.2-19ubuntu1) ...
Sélection du paquet g++ précédemment désélectionné.
Préparation du décompactage de .../g++_4%3a4.8.2-1ubuntu6_amd64.deb ...
Décompactage de g++ (4:4.8.2-1ubuntu6) ...
Sélection du paquet dpkg-dev précédemment désélectionné.
Préparation du décompactage de .../dpkg-dev_1.17.5ubuntu5.3_all.deb ...
Décompactage de dpkg-dev (1.17.5ubuntu5.3) ...
Sélection du paquet build-essential précédemment désélectionné.
Préparation du décompactage de .../build-essential_11.6ubuntu6_amd64.deb ...
Décompactage de build-essential (11.6ubuntu6) ...
Sélection du paquet po-debconf précédemment désélectionné.
Préparation du décompactage de .../po-debconf_1.0.16+nmu2ubuntu1_all.deb ...
Décompactage de po-debconf (1.0.16+nmu2ubuntu1) ...
Sélection du paquet dh-apparmor précédemment désélectionné.
Préparation du décompactage de .../dh-apparmor_2.8.95~2430-0ubuntu5_all.deb ...
Décompactage de dh-apparmor (2.8.95~2430-0ubuntu5) ...
Sélection du paquet debhelper précédemment désélectionné.
Préparation du décompactage de .../debhelper_9.20131227ubuntu1_all.deb ...
Décompactage de debhelper (9.20131227ubuntu1) ...
Sélection du paquet intltool précédemment désélectionné.
Préparation du décompactage de .../intltool_0.50.2-2_all.deb ...
Décompactage de intltool (0.50.2-2) ...
Sélection du paquet dh-translations précédemment désélectionné.
Préparation du décompactage de .../dh-translations_121_all.deb ...
Décompactage de dh-translations (121) ...
Sélection du paquet python-scour précédemment désélectionné.
Préparation du décompactage de .../python-scour_0.26-3build1_all.deb ...
Décompactage de python-scour (0.26-3build1) ...
Sélection du paquet cdbs précédemment désélectionné.
Préparation du décompactage de .../cdbs_0.4.122ubuntu2_all.deb ...
Décompactage de cdbs (0.4.122ubuntu2) ...
Sélection du paquet dh-make précédemment désélectionné.
Préparation du décompactage de .../archives/dh-make_0.63_all.deb ...
Décompactage de dh-make (0.63) ...
Sélection du paquet libfakeroot:amd64 précédemment désélectionné.
Préparation du décompactage de .../libfakeroot_1.20-3ubuntu2_amd64.deb ...
Décompactage de libfakeroot:amd64 (1.20-3ubuntu2) ...
Sélection du paquet fakeroot précédemment désélectionné.
Préparation du décompactage de .../fakeroot_1.20-3ubuntu2_amd64.deb ...
Décompactage de fakeroot (1.20-3ubuntu2) ...
Sélection du paquet libalgorithm-diff-perl précédemment désélectionné.
Préparation du décompactage de .../libalgorithm-diff-perl_1.19.02-3_all.deb ...
Décompactage de libalgorithm-diff-perl (1.19.02-3) ...
Sélection du paquet libalgorithm-diff-xs-perl précédemment désélectionné.
Préparation du décompactage de .../libalgorithm-diff-xs-perl_0.04-2build4_amd64.deb ...
Décompactage de libalgorithm-diff-xs-perl (0.04-2build4) ...
Sélection du paquet libalgorithm-merge-perl précédemment désélectionné.
Préparation du décompactage de .../libalgorithm-merge-perl_0.08-2_all.deb ...
Décompactage de libalgorithm-merge-perl (0.08-2) ...
Sélection du paquet libsys-hostname-long-perl précédemment désélectionné.
Préparation du décompactage de .../libsys-hostname-long-perl_1.4-3_all.deb ...
Décompactage de libsys-hostname-long-perl (1.4-3) ...
Sélection du paquet libmail-sendmail-perl précédemment désélectionné.
Préparation du décompactage de .../libmail-sendmail-perl_0.79.16-1_all.deb ...
Décompactage de libmail-sendmail-perl (0.79.16-1) ...
Traitement déclenché pour  man-db (2.6.7.1-1) ...
Traitement déclenché pour  install-info (5.2.0.dfsg.1-2) ...
Traitement déclenché pour  doc-base (0.10.5) ...
Traitement en cours 2 added doc-base files...
Paramétrage de libsigsegv2:amd64 (2.10-2) ...
Paramétrage de m4 (1.4.17-2ubuntu1) ...
Paramétrage de autoconf (2.69-6) ...
Paramétrage de autotools-dev (20130810.1) ...
Paramétrage de automake (1:1.14.1-2ubuntu1) ...
update-alternatives: utilisation de « /usr/bin/automake-1.14 » pour fournir « /usr/bin/automake » (automake) en mode automatique
Paramétrage de libstdc++-4.8-dev:amd64 (4.8.2-19ubuntu1) ...
Paramétrage de g++-4.8 (4.8.2-19ubuntu1) ...
Paramétrage de g++ (4:4.8.2-1ubuntu6) ...
update-alternatives: utilisation de « /usr/bin/g++ » pour fournir « /usr/bin/c++ » (c++) en mode automatique
Paramétrage de dpkg-dev (1.17.5ubuntu5.3) ...
Paramétrage de build-essential (11.6ubuntu6) ...
Paramétrage de po-debconf (1.0.16+nmu2ubuntu1) ...
Paramétrage de dh-apparmor (2.8.95~2430-0ubuntu5) ...
Paramétrage de debhelper (9.20131227ubuntu1) ...
Paramétrage de intltool (0.50.2-2) ...
Paramétrage de dh-translations (121) ...
Paramétrage de python-scour (0.26-3build1) ...
Paramétrage de cdbs (0.4.122ubuntu2) ...
Paramétrage de dh-make (0.63) ...
Paramétrage de libfakeroot:amd64 (1.20-3ubuntu2) ...
Paramétrage de fakeroot (1.20-3ubuntu2) ...
update-alternatives: utilisation de « /usr/bin/fakeroot-sysv » pour fournir « /usr/bin/fakeroot » (fakeroot) en mode automatique
Paramétrage de libalgorithm-diff-perl (1.19.02-3) ...
Paramétrage de libalgorithm-diff-xs-perl (0.04-2build4) ...
Paramétrage de libalgorithm-merge-perl (0.08-2) ...
Paramétrage de libsys-hostname-long-perl (1.4-3) ...
Paramétrage de libmail-sendmail-perl (0.79.16-1) ...
Traitement déclenché pour  libc-bin (2.19-0ubuntu6.3) ...
bob34@bob34-EasyNote-LS44HR:~$ sudo apt-get install ia32-libs lib32gcc1 libc6-i386
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet ia32-libs n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
Cependant les paquets suivants le remplacent :
  lib32z1 lib32ncurses5 lib32bz2-1.0

E: Le paquet « ia32-libs » n'a pas de version susceptible d'être installée
bob34@bob34-EasyNote-LS44HR:~$ cd /usr ; sudo ln -svT lib /usr/lib64
«/usr/lib64» -> «lib»
bob34@bob34-EasyNote-LS44HR:/usr$ cd ~/; mkdir catalyst12.4; cd catalyst12.4/
bob34@bob34-EasyNote-LS44HR:~/catalyst12.4$ wget http://www2.ati.com/drivers/linux/amd-driver-installer-12-4-x86.x86_64.run
--2014-08-31 17:33:41--  http://www2.ati.com/drivers/linux/amd-driver-installer-12-4-x86.x86_64.run
Résolution de www2.ati.com (www2.ati.com)... 2.16.82.118
Connexion vers www2.ati.com (www2.ati.com)|2.16.82.118|:80... connecté.
requête HTTP transmise, en attente de la réponse... 302 Moved Temporarily
Emplacement: http://support.amd.com/fr-fr/download/incomplete [suivant]
--2014-08-31 17:33:43--  http://support.amd.com/fr-fr/download/incomplete
Résolution de support.amd.com (support.amd.com)... 23.212.219.218
Connexion vers support.amd.com (support.amd.com)|23.212.219.218|:80... connecté.
requête HTTP transmise, en attente de la réponse... 200 OK
Taille : 50086 (49K) [text/html]
Enregistre : «amd-driver-installer-12-4-x86.x86_64.run»

100%[======================================>] 50'086      --.-K/s   ds 0.03s   

2014-08-31 17:33:43 (1.39 MB/s) - «amd-driver-installer-12-4-x86.x86_64.run» enregistré [50086/50086]

bob34@bob34-EasyNote-LS44HR:~/catalyst12.4$ chmod +x amd-driver-installer-12-4-x86.x86_64.run
bob34@bob34-EasyNote-LS44HR:~/catalyst12.4$ sudo sh ./amd-driver-installer-12-4-x86.x86_64.run --buildpkg Ubuntu/precise
./amd-driver-installer-12-4-x86.x86_64.run: 1: ./amd-driver-installer-12-4-x86.x86_6: not found
./amd-driver-installer-12-4-x86.x86_64.run: 2: ./amd-driver-installer-12-4-x86.x86_64.run: Syntax error: redirection unexpected
bob34@bob34-EasyNote-LS44HR:~/catalyst12.4$ sudo dpkg -i fglrx*.deb
dpkg: error processing archive fglrx*.deb (--install):
 ne peut pas accéder à l'archive: Aucun fichier ou dossier de ce type
Des erreurs ont été rencontrées pendant l'exécution :
 fglrx*.deb
bob34@bob34-EasyNote-LS44HR:~/catalyst12.4$ 
bob34@bob34-EasyNote-LS44HR:~$ sudo sh ./amd-driver-installer-12-4-x86.x86_64.run --buildpkg Ubuntu/precise
[sudo] password for bob34: 
sh: 0: Can't open ./amd-driver-installer-12-4-x86.x86_64.run
bob34@bob34-EasyNote-LS44HR:~$ 
bob34@bob34-EasyNote-LS44HR:~$ sudo dpkg -i fglrx*.deb
dpkg: error processing archive fglrx*.deb (--install):
 ne peut pas accéder à l'archive: Aucun fichier ou dossier de ce type
Des erreurs ont été rencontrées pendant l'exécution :
 fglrx*.deb
bob34@bob34-EasyNote-LS44HR:~$ 


Plusieurs questions les lignes de commande c'est uniquement dans un seul terminal a la suite ?

J'arrive pas a trouver la ligne pour la dernier versions du pilote 14.4 ? la mnip ?

Je suis sur Xubuntu 14.04

PC EasyNote-LS44HR

Pareils comment savoir la versions des mes pilotes ? et le model de mes carte vidéo ?

Merci d'avance j'ai de gros gros bug de plantage au démarrage etc par contre pas de bug visuel vidéo etc aussi le ventilo qui tourne pour rien quasiment constamment pourtant chauffe pas plus que cela.

Merci

Dernière modification par BoB3451 (Le 31/08/2014, à 16:50)


Packar-bell Easynote LS 44-HR//Xunbuntu 14.04
8 GB RAM
AMD CARTE VIDÉO
Intel core I5 -2450M

Hors ligne

#149 Le 31/08/2014, à 18:07

BoB3451

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Je pense que j'ai trouver les versions de mes cartes

bob34@bob34-EasyNote-LS44HR:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Seymour [Radeon HD 6400M/7400M Series]
bob34@bob34-EasyNote-LS44HR:~$ 

Packar-bell Easynote LS 44-HR//Xunbuntu 14.04
8 GB RAM
AMD CARTE VIDÉO
Intel core I5 -2450M

Hors ligne

#150 Le 07/09/2014, à 14:45

Dempiller

Re : [SOLUTION] AMD/Intel Graphiques Commutables

Bonjour,

Voilà, j'ai un Dell Vostro 3550 équipé d'une Intel Hd 3000 et d'une Amd Hd 6630m (il me semble, de mémoire, logiquement c'est mis dans ma signature). J'ai installé Ubuntu 14.04, il prend sans mal mon Intel de base, sans installer quoi que ce soit. Les performances sont bonnes, rien ne pêche réellement (hormis parfois des "cassures" horizontales dans des jeux ou vidéos HD mais rien de grave).

Avec l'arrivée de Steam et quelques jeux que je possède (Portal 1 et 2) de mon époque Windows, j'aurais bien aimé pouvoir les refaire. Mais voilà, la Intel est un peu maigre pour ça. Comme je vois, la gestion de la commutation semble complexe et souvent peu efficace. Je me demandais dès lors si je pouvais peut-être uniquement utiliser la carte Amd, serait-ce efficace et intéressant ?

Mon but est de pouvoir utiliser la Amd mais sans soucis (en commutable ou non, peu importe) et sans que mon interface flanche lors d'une mise à jour du noyau. Car jadis (sur 12.04) si je mettais à jour Ubuntu du côté du noyau ou de Xorg, tout sautait et n'allait plus. Je ne veux pas ça, je veux pouvoir mettre mon système à jours sans encombre. Quid des drivers Fglrx proposés dans l'outil de gestion de driver pour ma config ?

Merci d'avance. smile


Modèle : Dell Vostro 3550. Cpu : Intel i5 2450M (2,50Ghz). Ram : 6 Ghz Ddr3. Carte graphique : Intel HD3000+Amd Radeon HD 6330M. Hdd : 500 Go en 7200 rpm. Ecran : Led HD 15,6". Wifi : Dell Wireless 1702 alias Atheros AR9285. Système : Kubuntu 12.10 (64 bits).

Hors ligne

Haut de page ↑